# $Revision: 1.4 $, $Date: 2007/09/28 12:50:26 $
Summary:	Converts DOS-style EOLs to UNIX-style EOLs and vice versa
Summary(pl.UTF-8):	Konwersja między dosowymi a uniksowymi znakami EOL 
Name:		hd2u
Version:	1.0.2
Release:	1
License:	GPL v2
Group:		Applications/Text
Source0:	http://hany.sk/~hany/_data/hd2u/%{name}-%{version}.tgz
# Source0-md5:	f915e0abc1e9c8153a7e83dd2563b16f
Patch0:		%{name}-build.patch
URL:		http://hany.sk/~hany/software/hd2u/
BuildRequires:	popt-devel
Provides:	dos2unix
Obsoletes:	dos2unix
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
hd2u is "Hany's Dos2Unix converter". It provides 'dos2unix'.
'dos2unix' is a filter used to convert DOS-style EOLs to UNIX-style
EOLs and vice versa (EOL - End Of Line character). It can also handle
files with Macintosh-style EOLs and convert them into other EOLs.

%description -l pl.UTF-8
hd2u to "Hany's Dos2Unix converter" (konwerter Dos2Unix Hany'ego).
Udostępnia polecenie dos2unix. Jest to filtr służący do konwersji
między dosowymi a uniksowymi znakami końca linii (EOL). Dodatkowo
potrafi także obsługiwać pliki ze znakami EOL w stylu Macintosha i
konwertować je na inne znaki EOL.

%prep
%setup -q
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	BUILD_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CREDITS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/dos2unix

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hd2u.spec,v $
Revision 1.4  2007/09/28 12:50:26  arekm
- up to 1.0.2

Revision 1.3  2007/02/13 20:40:49  qrczak
- Improved English grammar.

Revision 1.2  2007/02/13 18:45:54  qboosh
- pl

Revision 1.1  2007/01/29 00:41:46  charles
- new
